Update organization
PUT
/api/v1/gen_organizations
Update an existing organization.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” organization_id
required
Organization Id
string
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
OrganizationMutationResponse
Response model for CREATE and UPDATE operations which return only the organization ID
object
organization_id
required
Organization Id
integer
key
additional properties
any
Bad Request
Forbidden: You cannot update your own role, or the role of the owner, or remove yourself from the organization.
Not Found: User not found, or user is not a member of this organization.
Unprocessable Content: Validation error (e.g., invalid parameters).
Internal Server Error